Bug 213895 - Dolphin crashes attempting to open network shares [QList ref, KDirListerCache::slotResult, ..., KJob::result]
Summary: Dolphin crashes attempting to open network shares [QList ref, KDirListerCache...
Status: RESOLVED REMIND
Alias: None
Product: kio
Classification: Unclassified
Component: general (show other bugs)
Version: 4.3
Platform: Unlisted Binaries Linux
: NOR crash with 80 votes (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
: 201518 211902 213536 213645 214212 214556 214723 215003 215023 215098 215614 216198 216396 216572 216602 216716 216734 216880 217146 217212 217493 218035 218238 218542 218674 218790 219883 219911 220044 220435 220457 221306 221538 221750 221822 221859 221865 221882 222082 222659 222968 223409 223980 224252 224584 224846 225408 225465 225588 225652 225672 225773 225820 225981 226458 226701 226759 227634 227736 227811 227838 228124 228533 228801 228817 228852 229223 229387 229598 229819 229879 230127 230548 230858 231855 232600 232704 234647 234706 238122 238132 238381 238382 246863 248046 249944 251397 252534 253852 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-11-09 22:09 UTC by Phisss
Modified: 2014-01-03 05:57 UTC (History)
92 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (6.42 KB, text/plain)
2009-12-14 16:32 UTC, ancow
Details
New crash information added by DrKonqi: --- Dolphin crashes opening about just any service from network:/ I have a NAT unit that shows following entries under network:/disks.local/ * disks Configuration (disks Configuration.mssmaxtorconfig) * disks (disk (6.45 KB, text/plain)
2009-12-31 11:00 UTC, Viesturs Zarins
Details
New crash information added by DrKonqi (4.91 KB, text/plain)
2010-01-10 23:20 UTC, Christoph Herrmann
Details
New crash information added by DrKonqi (5.06 KB, text/plain)
2010-01-19 22:12 UTC, omega
Details
New crash information added by DrKonqi (5.04 KB, text/plain)
2010-01-21 23:43 UTC, felix
Details
New crash information added by DrKonqi (5.10 KB, text/plain)
2010-01-27 18:34 UTC, Alessandro Ghersi
Details
New crash information added by DrKonqi (6.95 KB, text/plain)
2010-02-13 23:24 UTC, Alejandro Nova
Details
New crash information added by DrKonqi (5.07 KB, text/plain)
2010-02-18 18:57 UTC, Petr Vorel
Details
New crash information added by DrKonqi (9.81 KB, text/plain)
2010-02-26 20:58 UTC, Phisss
Details
New crash information added by DrKonqi (7.10 KB, text/plain)
2010-04-14 15:44 UTC, Daniel Wrana
Details
New crash information added by DrKonqi (4.72 KB, text/plain)
2010-09-06 11:45 UTC, david.pierret
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Phisss 2009-11-09 22:09:26 UTC
Application that crashed: dolphin
Version of the application: 1.3
KDE Version: 4.3.3 (KDE 4.3.3)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-14-generic x86_64
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
Dolphin crashes every time I try to open a samba share. I use KDE 4.3.3 on Kubuntu. The error is reproducable

 -- Backtrace:
Application: Dolphin (dolphin), signal: Segmentation fault
[KCrash Handler]
#5  QBasicAtomicInt::ref (this=0x14debd0, j=<value optimized out>) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121
#6  QList (this=0x14debd0, j=<value optimized out>) at /usr/include/qt4/QtCore/qlist.h:111
#7  KDirListerCache::slotResult (this=0x14debd0, j=<value optimized out>) at ../../kio/kio/kdirlister.cpp:1119
#8  0x00007f5a4cbbdf33 in KDirListerCache::qt_metacall (this=0x14debd0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffac1c4e90) at ./kdirlister_p.moc:99
#9  0x00007f5a49b3cddc in QMetaObject::activate (sender=0x1cb9e00, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x14ad580) at kernel/qobject.cpp:3113
#10 0x00007f5a4ad37b22 in KJob::result (this=0x1d1c7e2, _t1=0x1cb9e00) at ./kjob.moc:188
#11 0x00007f5a4ad37e9f in KJob::emitResult (this=0x1cb9e00) at ../../kdecore/jobs/kjob.cpp:304
#12 0x00007f5a4cb8de33 in KIO::SimpleJob::slotFinished (this=0x1cb9e00) at ../../kio/kio/job.cpp:477
#13 0x00007f5a4cb8df70 in KIO::ListJob::slotFinished (this=0x1cb9e00) at ../../kio/kio/job.cpp:2408
#14 0x00007f5a4cb95a79 in KIO::ListJob::qt_metacall (this=0x1cb9e00, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffac1c51c0) at ./jobclasses.moc:764
#15 0x00007f5a49b3cddc in QMetaObject::activate (sender=0x1bb64b0, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x14ad580) at kernel/qobject.cpp:3113
#16 0x00007f5a4cc4eb31 in KIO::SlaveInterface::dispatch (this=0x1bb64b0, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:175
#17 0x00007f5a4cc4b3e3 in KIO::SlaveInterface::dispatch (this=0x1bb64b0) at ../../kio/kio/slaveinterface.cpp:91
#18 0x00007f5a4cc3e1fd in KIO::Slave::gotInput (this=0x1bb64b0) at ../../kio/kio/slave.cpp:322
#19 0x00007f5a4cc4031c in KIO::Slave::qt_metacall (this=0x1bb64b0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffac1c5580) at ./slave.moc:76
#20 0x00007f5a49b3cddc in QMetaObject::activate (sender=0x1ce8080, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x14ad580) at kernel/qobject.cpp:3113
#21 0x00007f5a4cb5af77 in KIO::ConnectionPrivate::dequeue (this=0x1527c50) at ../../kio/kio/connection.cpp:82
#22 0x00007f5a4cb5b09d in KIO::Connection::qt_metacall (this=0x1ce8080, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x1ce65f0) at ./connection.moc:73
#23 0x00007f5a49b370f9 in QObject::event (this=0x1ce8080, e=0x1680d70) at kernel/qobject.cpp:1111
#24 0x00007f5a49fbaefc in QApplicationPrivate::notify_helper (this=0x12b6bb0, receiver=0x1ce8080, e=0x1680d70) at kernel/qapplication.cpp:4056
#25 0x00007f5a49fc21ce in QApplication::notify (this=0x7fffac1c5f30, receiver=0x1ce8080, e=0x1680d70) at kernel/qapplication.cpp:4021
#26 0x00007f5a4b2efe56 in KApplication::notify (this=0x7fffac1c5f30, receiver=0x1ce8080, event=0x1680d70) at ../../kdeui/kernel/kapplication.cpp:302
#27 0x00007f5a49b27c2c in QCoreApplication::notifyInternal (this=0x7fffac1c5f30, receiver=0x1ce8080, event=0x1680d70) at kernel/qcoreapplication.cpp:610
#28 0x00007f5a49b2880a in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x12864d0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#29 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x12864d0) at kernel/qcoreapplication.cpp:1247
#30 0x00007f5a49b50533 in QCoreApplication::sendPostedEvents (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#31 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:210
#32 0x00007f5a45645bbe in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#33 0x00007f5a45649588 in ?? () from /lib/libglib-2.0.so.0
#34 0x00007f5a456496b0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#35 0x00007f5a49b501a6 in QEventDispatcherGlib::processEvents (this=0x1285d20, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#36 0x00007f5a4a04f4be in QGuiEventDispatcherGlib::processEvents (this=0x1d1c7e2, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#37 0x00007f5a49b26532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#38 0x00007f5a49b26904 in QEventLoop::exec (this=0x7fffac1c5e80, flags=) at kernel/qeventloop.cpp:201
#39 0x00007f5a49b28ab9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#40 0x00000000004394e5 in _start ()

This bug may be a duplicate of or related to bug 208251

Reported using DrKonqi
Comment 1 Dario Andres 2009-11-11 02:31:04 UTC
From bug 213536:
---
What I was doing when the application crashed:
Having set up an NFS server and placed a shared folder in there, I opened
dolphin and navigated (on the same computer) to Network (sidebar) --> Network
--> [server - in this case marcus-laptop] - [server [MAC address]], which
caused the crash with this backtrace.
---

From bug 213645:
---
What I was doing when the application crashed:
My machine name is wkst05. In Dolphin I can browse to
network:/wkst05.local and I see the node wkst05[ipv6]. Dolphin crashes as soon
as I enter that node.
--- 

From bug 211902:
---
What I was doing when the application crashed:
I configured a samba share so that the domain and access login where
preselected MYDOMAIN\MYLOGIN@MYSERVER_IP and this seems to cause a segfault
every time I insert the password and try authenticating
---
Comment 2 Dario Andres 2009-11-11 02:31:07 UTC
*** Bug 213536 has been marked as a duplicate of this bug. ***
Comment 3 Dario Andres 2009-11-11 02:31:12 UTC
*** Bug 213645 has been marked as a duplicate of this bug. ***
Comment 4 Dario Andres 2009-11-11 02:31:30 UTC
*** Bug 211902 has been marked as a duplicate of this bug. ***
Comment 5 Frank Reininghaus 2009-11-15 23:01:30 UTC
*** Bug 214556 has been marked as a duplicate of this bug. ***
Comment 6 Frank Reininghaus 2009-11-15 23:02:00 UTC
*** Bug 214723 has been marked as a duplicate of this bug. ***
Comment 7 Frank Reininghaus 2009-11-15 23:10:00 UTC
@David: looks related to bug 214212 - maybe the assert which is hit in KDirListerCache::slotResult in that crash can give some clues about the cause of the bug.
Comment 8 Frank Reininghaus 2009-11-17 23:15:37 UTC
*** Bug 215003 has been marked as a duplicate of this bug. ***
Comment 9 Frank Reininghaus 2009-11-17 23:16:32 UTC
*** Bug 215023 has been marked as a duplicate of this bug. ***
Comment 10 Dario Andres 2009-11-18 12:44:03 UTC
*** Bug 215098 has been marked as a duplicate of this bug. ***
Comment 11 Frank Reininghaus 2009-11-22 22:53:06 UTC
*** Bug 215614 has been marked as a duplicate of this bug. ***
Comment 12 Frank Reininghaus 2009-11-26 08:36:29 UTC
*** Bug 216198 has been marked as a duplicate of this bug. ***
Comment 13 Dario Andres 2009-11-27 17:24:10 UTC
*** Bug 216396 has been marked as a duplicate of this bug. ***
Comment 14 Frank Reininghaus 2009-11-29 21:55:36 UTC
*** Bug 216716 has been marked as a duplicate of this bug. ***
Comment 15 Frank Reininghaus 2009-11-29 21:58:59 UTC
*** Bug 216602 has been marked as a duplicate of this bug. ***
Comment 16 James Cain 2009-11-29 22:51:09 UTC
BTW this does not appear to happen in Dolphin 1.3 using KDE 4.3.2.
Comment 17 Frank Reininghaus 2009-11-29 23:31:40 UTC
*** Bug 216734 has been marked as a duplicate of this bug. ***
Comment 18 Frank Reininghaus 2009-12-01 00:24:27 UTC
*** Bug 216572 has been marked as a duplicate of this bug. ***
Comment 19 Frank Reininghaus 2009-12-01 11:58:02 UTC
*** Bug 216880 has been marked as a duplicate of this bug. ***
Comment 20 Frank Reininghaus 2009-12-03 15:37:18 UTC
*** Bug 217146 has been marked as a duplicate of this bug. ***
Comment 21 Frank Reininghaus 2009-12-05 21:53:36 UTC
*** Bug 217493 has been marked as a duplicate of this bug. ***
Comment 22 Frank Reininghaus 2009-12-09 21:17:02 UTC
*** Bug 218035 has been marked as a duplicate of this bug. ***
Comment 23 Dario Andres 2009-12-10 00:12:00 UTC
*** Bug 201518 has been marked as a duplicate of this bug. ***
Comment 24 Frank Reininghaus 2009-12-11 10:28:27 UTC
*** Bug 218238 has been marked as a duplicate of this bug. ***
Comment 25 Dario Andres 2009-12-13 23:49:54 UTC
*** Bug 218542 has been marked as a duplicate of this bug. ***
Comment 26 ancow 2009-12-14 16:32:19 UTC
Created attachment 39048 [details]
New crash information added by DrKonqi
Comment 27 Dario Andres 2009-12-14 16:34:53 UTC
Updated backtrace from comment 26:
---
 -- Backtrace:
Application: Konqueror (kdeinit4), signal: Segmentation fault
[KCrash Handler]
#6  QBasicAtomicInt::ref (this=0xa515e40, j=0xa6d86d8) at /usr/include/qt4/QtCore/qatomic_i386.h:120
#7  QList (this=0xa515e40, j=0xa6d86d8) at /usr/include/qt4/QtCore/qlist.h:114
#8  KDirListerCache::slotResult (this=0xa515e40, j=0xa6d86d8) at ../../kio/kio/kdirlister.cpp:1140
#9  0x01000cf7 in KDirListerCache::qt_metacall (this=0xa515e40, _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0xbffa41a8) at ./kdirlister_p.moc:105
#10 0x004ce11a in QMetaObject::metacall (object=0xa515e40, cl=173104744, idx=12, argv=0xbffa41a8) at kernel/qmetaobject.cpp:237
#11 0x004dc89b in QMetaObject::activate (sender=0xa6d86d8, m=0xafdc28, local_signal_index=3, argv=0xbffa41a8) at kernel/qobject.cpp:3294
#12 0x009865c3 in KJob::result (this=0xa6d86d8, _t1=0xa6d86d8) at ./kjob.moc:194
#13 0x0098693d in KJob::emitResult (this=0xa6d86d8) at ../../kdecore/jobs/kjob.cpp:311
#14 0x00fccd80 in KIO::SimpleJob::slotFinished (this=0xa6d86d8) at ../../kio/kio/job.cpp:475
#15 0x00fcceee in KIO::ListJob::slotFinished (this=0xa6d86d8) at ../../kio/kio/job.cpp:2444
#16 0x00fd55ce in KIO::ListJob::qt_metacall (this=0xa6d86d8, _c=QMetaObject::InvokeMetaMethod, _id=43, _a=0xbffa440c) at ./jobclasses.moc:818
...
Comment 28 Frank Reininghaus 2009-12-15 12:17:15 UTC
*** Bug 218674 has been marked as a duplicate of this bug. ***
Comment 29 Frank Reininghaus 2009-12-15 14:10:09 UTC
*** Bug 218790 has been marked as a duplicate of this bug. ***
Comment 30 Peter Penz 2009-12-18 11:05:52 UTC
*** Bug 217212 has been marked as a duplicate of this bug. ***
Comment 31 Dario Andres 2009-12-24 01:59:29 UTC
From bug 219883:
---
What I was doing when the application crashed:
I was typing an address into the bar, but accidentally used a forward slash
instead of a backslash in the address
Comment 32 Dario Andres 2009-12-24 01:59:34 UTC
*** Bug 219883 has been marked as a duplicate of this bug. ***
Comment 33 Dario Andres 2009-12-24 14:26:10 UTC
*** Bug 219911 has been marked as a duplicate of this bug. ***
Comment 34 Alex Merry 2009-12-24 19:55:40 UTC
*** Bug 214212 has been marked as a duplicate of this bug. ***
Comment 35 Alex Merry 2009-12-24 19:58:59 UTC
I can reproduce this every time by typing in network:/ into the Dolphin address bar, clicking on "typo" (the name of this computer) and clicking on the Samba share.

Console output (I enabled the commented-out debug statements in kdirlister.cpp):

dolphin(1109)/kio (KDirListerCache) KDirListerCache::listDir: DolphinDirLister(0x1cb67e0) url= KUrl("network:/typo.local") keep= false reload= false                  
dolphin(1109)/kio (KDirListerCache) KDirListerCache::stop: lister:  DolphinDirLister(0x1cb67e0)                                                                       
dolphin(1109)/kio (KDirListerCache) KDirListerCache::forgetDirs: DolphinDirLister(0x1cb67e0)                                                                          
dolphin(1109)/kio (KDirListerCache) KDirListerCache::forgetDirs: DolphinDirLister(0x1cb67e0)  _url:  KUrl("network:/")                                                
dolphin(1109)/kio (KDirListerCache) KDirListerCache::forgetDirs: DolphinDirLister(0x1cb67e0)  item moved into cache:  KUrl("network:/")                               
dolphin(1109)/kio (KDirListerCache) KDirListerCache::listDir: Listing directory: KUrl("network:/typo.local")                                                          
dolphin(1109)/kio (KDirListerCache) KDirListerCache::slotEntries: new entries for  KUrl("network:/typo.local")                                                        
dolphin(1109)/kio (KDirListerCache) KDirListerCache::slotEntries: Adding item:  KUrl("network:/typo.local/SFTP File Transfer on typo.sftp-ssh")                       
dolphin(1109)/kio (KDirListerCache) KDirLister::Private::addNewItem: in KUrl("network:/typo.local") item: KUrl("network:/typo.local/SFTP File Transfer on typo.sftp-ssh")                                                                                
dolphin(1109)/kio (KDirListerCache) KDirListerCache::slotEntries: Adding item:  KUrl("network:/typo.local/typo [00:22:fb:40:40:a0].workstation")                      
dolphin(1109)/kio (KDirListerCache) KDirLister::Private::addNewItem: in KUrl("network:/typo.local") item: KUrl("network:/typo.local/typo [00:22:fb:40:40:a0].workstation")                                                                               
dolphin(1109)/kio (KDirListerCache) KDirListerCache::slotEntries: Adding item:  KUrl("network:/typo.local/typo.ssh")
dolphin(1109)/kio (KDirListerCache) KDirLister::Private::addNewItem: in KUrl("network:/typo.local") item: KUrl("network:/typo.local/typo.ssh")
dolphin(1109)/kio (KDirListerCache) KDirListerCache::slotResult: finished listing KUrl("network:/typo.local")
dolphin(1109)/kio (KDirListerCache) KDirListerCache::listDir: DolphinDirLister(0x1cb67e0) url= KUrl("network:/typo.local/typo [00:22:fb:40:40:a0].workstation") keep= false reload= false
dolphin(1109)/kio (KDirListerCache) KDirListerCache::stop: lister:  DolphinDirLister(0x1cb67e0)
dolphin(1109)/kio (KDirListerCache) KDirListerCache::forgetDirs: DolphinDirLister(0x1cb67e0)
dolphin(1109)/kio (KDirListerCache) KDirListerCache::forgetDirs: DolphinDirLister(0x1cb67e0)  _url:  KUrl("network:/typo.local")
dolphin(1109)/kio (KDirListerCache) KDirListerCache::forgetDirs: DolphinDirLister(0x1cb67e0)  item moved into cache:  KUrl("network:/typo.local")
dolphin(1109)/kio (KDirListerCache) KDirListerCache::listDir: Listing directory: KUrl("network:/typo.local/typo [00:22:fb:40:40:a0].workstation")
dolphin(1109)/kio (KDirListerCache) KDirListerCache::slotRedirection: KUrl("network:/typo.local/typo [00:22:fb:40:40:a0].workstation") -> KUrl("")
dolphin(1109)/kio (KDirListerCache) KDirListerCache::slotRedirection: KUrl("") has not been listed yet.
dolphin(1109)/kio (KDirListerCache) KDirListerCache::slotResult: finished listing KUrl("network:/typo.local/typo [00:22:fb:40:40:a0].workstation")
ASSERT: "dit != directoryData.end()" in file /home/kde-devel/src/KDE/kdelibs/kio/kio/kdirlister.cpp, line 1125
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = dolphin path = /home/kde-devel/kde/bin pid = 1109
sock_file=/home/alex/.kde/socket-typo/kdeinit4__0


I'm guessing it's the redirection to KDir("") that's causing trouble - this seems to remove the original URL from the cache.  But then slotResult is called _after_, and that tries to accessed the recently-erased cache item.
Comment 36 Alex Merry 2009-12-24 20:00:22 UTC
Oh, note that only the Samba share causes this crash.  Clicking on "SFTP File Transfer on typo" just shows an empty folder.
Comment 37 ancow 2009-12-24 20:38:44 UTC
(In reply to comment #36)
> Oh, note that only the Samba share causes this crash.  Clicking on "SFTP File
> Transfer on typo" just shows an empty folder.

Actually, only protocols dolphin doesn't directly support seem to not cause the crash. That's using KDE 4.4 Beta1.
Using 4.3.4, pretty much any protocol apart from ssh, sftp and http seemed to cause the crash.
Comment 38 Dario Andres 2009-12-25 13:59:36 UTC
From bug 220044:
-- Information about the crash:
Dolphin > Network > Network > [own host] > crash.

Updated backtrace:
---
[KCrash Handler]
#6  QBasicAtomicInt::ref (this=0x8971a18, j=0x93577c8) at
/usr/include/qt4/QtCore/qatomic_i386.h:120
#7  QList (this=0x8971a18, j=0x93577c8) at /usr/include/qt4/QtCore/qlist.h:114
#8  KDirListerCache::slotResult (this=0x8971a18, j=0x93577c8) at
../../kio/kio/kdirlister.cpp:1128
#9  0x00860a17 in KDirListerCache::qt_metacall (this=0x8971a18,
_c=QMetaObject::InvokeMetaMethod, _id=12, _a=0xbfbaedb8) at
./kdirlister_p.moc:105
#10 0x069f111a in QMetaObject::metacall (object=0x8971a18, cl=17, idx=12,
argv=0xbfbaedb8) at kernel/qmetaobject.cpp:237
#11 0x069ff89b in QMetaObject::activate (sender=0x93577c8, m=0x80c94f0,
local_signal_index=3, argv=0xbfbaedb8) at kernel/qobject.cpp:3294
#12 0x02e70e03 in KJob::result (this=0x93577c8, _t1=0x93577c8) at
./kjob.moc:194
#13 0x02e71168 in KJob::emitResult (this=0x93577c8) at
../../kdecore/jobs/kjob.cpp:312
#14 0x0082ce20 in KIO::SimpleJob::slotFinished (this=0x93577c8) at
../../kio/kio/job.cpp:475
#15 0x0082cf8e in KIO::ListJob::slotFinished (this=0x93577c8) at
../../kio/kio/job.cpp:2451
#16 0x0083566e in KIO::ListJob::qt_metacall (this=0x93577c8,
_c=QMetaObject::InvokeMetaMethod, _id=43, _a=0xbfbaf00c) at
./jobclasses.moc:818
...
Comment 39 Dario Andres 2009-12-25 13:59:41 UTC
*** Bug 220044 has been marked as a duplicate of this bug. ***
Comment 40 Alex Merry 2009-12-27 18:18:58 UTC
Note that the smb:/ kioslave works fine for me - no crashes.  The crashes only occur with the network:/ kioslave.
Comment 41 Dario Andres 2009-12-28 19:50:39 UTC
*** Bug 220435 has been marked as a duplicate of this bug. ***
Comment 42 Dario Andres 2009-12-28 21:38:47 UTC
*** Bug 220457 has been marked as a duplicate of this bug. ***
Comment 43 Viesturs Zarins 2009-12-31 11:00:26 UTC
Created attachment 39479 [details]
New crash information added by DrKonqi:
---
Dolphin crashes opening about just any service from network:/
I have a NAT unit that shows following entries under network:/disks.local/
* disks Configuration (disks Configuration.mssmaxtorconfig)
* disks  (disk
Comment 44 Dario Andres 2010-01-05 01:59:10 UTC
*** Bug 221306 has been marked as a duplicate of this bug. ***
Comment 45 Dario Andres 2010-01-06 16:11:18 UTC
*** Bug 221538 has been marked as a duplicate of this bug. ***
Comment 46 Dario Andres 2010-01-08 13:39:01 UTC
From bug 221750:
---
What I was doing when the application crashed:
Click on Network (under Places);
click on Network (link to network:/)
click on ezekiel (name of a computer on my LAN running Fedora 12, with an ssh
server)
click on ezekiel [MAC-address].workstation
CRASH!

This seems to be consistently repeatable.
Comment 47 Dario Andres 2010-01-08 13:39:07 UTC
*** Bug 221750 has been marked as a duplicate of this bug. ***
Comment 48 Dario Andres 2010-01-08 18:43:07 UTC
*** Bug 221822 has been marked as a duplicate of this bug. ***
Comment 49 Dario Andres 2010-01-09 02:18:44 UTC
*** Bug 221859 has been marked as a duplicate of this bug. ***
Comment 50 Dario Andres 2010-01-09 02:29:55 UTC
*** Bug 221865 has been marked as a duplicate of this bug. ***
Comment 51 Dario Andres 2010-01-10 21:05:00 UTC
*** Bug 222082 has been marked as a duplicate of this bug. ***
Comment 52 Dario Andres 2010-01-10 21:06:16 UTC
From bug 222082:
---
KDE 4.4 RC1
I go to Network (remote:/) places
Click on the Network folder (network:/)
I click on any computer name. (network:/xxxname.local/)
The name apears again with the mac adress. When I click it dolphin crashes

Updated backtrace:
---
#5  QBasicAtomicInt::ref (this=0x2980f00, j=<value optimized out>) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121
#6  QList (this=0x2980f00, j=<value optimized out>) at /usr/include/qt4/QtCore/qlist.h:114
#7  KDirListerCache::slotResult (this=0x2980f00, j=<value optimized out>) at ../../kio/kio/kdirlister.cpp:1175
#8  0x00007fc64d1130a3 in KDirListerCache::qt_metacall (this=0x2980f00, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffdf62efd0) at ./kdirlister_p.moc:105
#9  0x00007fc64b2f2dc3 in QMetaObject::activate (sender=0x2b53060, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x297f870) at kernel/qobject.cpp:3294
#10 0x00007fc64b972842 in KJob::result (this=0x3026d82, _t1=0x2b53060) at ./kjob.moc:194
#11 0x00007fc64b972ae0 in KJob::emitResult (this=0x2b53060) at ../../kdecore/jobs/kjob.cpp:312
#12 0x00007fc64d0e16e3 in KIO::SimpleJob::slotFinished (this=0x2b53060) at ../../kio/kio/job.cpp:475
#13 0x00007fc64d0e1820 in KIO::ListJob::slotFinished (this=0x2b53060) at ../../kio/kio/job.cpp:2451
#14 0x00007fc64d0e85f9 in KIO::ListJob::qt_metacall (this=0x2b53060, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffdf62f300) at ./jobclasses.moc:818
...
Comment 53 Christoph Herrmann 2010-01-10 23:20:54 UTC
Created attachment 39747 [details]
New crash information added by DrKonqi

dolphin -> Network -> mycomputername -> mycomputername [MAC] 

click on that and dolphin crashes
Comment 54 Frank Reininghaus 2010-01-14 11:57:22 UTC
*** Bug 222659 has been marked as a duplicate of this bug. ***
Comment 55 Frank Reininghaus 2010-01-16 13:52:11 UTC
*** Bug 222968 has been marked as a duplicate of this bug. ***
Comment 56 Frank Reininghaus 2010-01-16 13:57:03 UTC
I'll CC the author of the network kioslave - I don't know if the bug is in there or in KIO...
Comment 57 Friedrich W. H. Kossebau 2010-01-16 14:07:11 UTC
The network:/ kio-slave runs in an own process, so if Dolphins crashes still Dolphin needs some fix in it's code to not die on perhaps unexpected data.

Nevertheless the network:/ kio-slave itself needs to be improved for sure, it's not yet where I want it to be and lacks real integration into Dolphin/Konqueror/Places/bookmarking stuff... The real power is yet to come :)

Will see to have a look at this specific crash this weekend.
Comment 58 Dario Andres 2010-01-19 15:42:40 UTC
*** Bug 223409 has been marked as a duplicate of this bug. ***
Comment 59 omega 2010-01-19 22:12:41 UTC
Created attachment 40058 [details]
New crash information added by DrKonqi

Crash when browsing to own machine over network
Comment 60 felix 2010-01-21 23:43:10 UTC
Created attachment 40104 [details]
New crash information added by DrKonqi

crashes while opening remote or own pcs in network environment
Comment 61 David Faure 2010-01-26 01:39:55 UTC
Friedrich: there seems to be a strange redirection to an empty url:

dolphin(23931)/kio (KIOJob) KIO::StatJobPrivate::slotRedirection: KUrl("")

which obviously confuses KDirLister...
Comment 62 Dario Andres 2010-01-26 12:46:07 UTC
*** Bug 224252 has been marked as a duplicate of this bug. ***
Comment 63 Frank Reininghaus 2010-01-26 14:59:10 UTC
*** Bug 223980 has been marked as a duplicate of this bug. ***
Comment 64 Alessandro Ghersi 2010-01-27 18:34:37 UTC
Created attachment 40292 [details]
New crash information added by DrKonqi

In dolphin just click on network -> network causes crash
Kubuntu Lucid
Qt 4.6.0
KDE 4.3.95
Comment 65 Frank Reininghaus 2010-01-28 12:10:04 UTC
*** Bug 224584 has been marked as a duplicate of this bug. ***
Comment 66 Frank Reininghaus 2010-01-30 15:02:08 UTC
*** Bug 224846 has been marked as a duplicate of this bug. ***
Comment 67 Dario Andres 2010-02-04 02:23:52 UTC
*** Bug 225408 has been marked as a duplicate of this bug. ***
Comment 68 Dario Andres 2010-02-04 13:28:35 UTC
From bug 225465:
What I was doing when the application crashed:
I am attempting to connect to a network share running ssh.  Dolphin crashes
when I double click on the remote server.
When I specify a connection type (sftp) the connection succeeds.  However if I
don't choose the connection type, Dolphin consistently crashes.
Comment 69 Dario Andres 2010-02-04 13:28:37 UTC
*** Bug 225465 has been marked as a duplicate of this bug. ***
Comment 70 Dario Andres 2010-02-05 14:15:03 UTC
*** Bug 225588 has been marked as a duplicate of this bug. ***
Comment 71 Dario Andres 2010-02-05 19:35:18 UTC
From bug 225652:
-- What i did:
1. Started dolphin
2. Clicked on the network tab in the left menu
3. Clicked on the Network (network:/) icon
4. Clicked on a device called "HP9A1D4C.local" which is my printer
5. Clicked on an icon saying "Photosmart C6200 series [9A1D4C].pdl-datastream"
6. Dolphin crashed (segfaults)
It happens every time i try
Comment 72 Dario Andres 2010-02-05 19:35:20 UTC
*** Bug 225652 has been marked as a duplicate of this bug. ***
Comment 73 Frank Reininghaus 2010-02-05 23:47:11 UTC
*** Bug 225672 has been marked as a duplicate of this bug. ***
Comment 74 Dario Andres 2010-02-06 23:50:47 UTC
*** Bug 225773 has been marked as a duplicate of this bug. ***
Comment 75 Frank Reininghaus 2010-02-07 18:40:58 UTC
*** Bug 225820 has been marked as a duplicate of this bug. ***
Comment 76 Friedrich W. H. Kossebau 2010-02-07 18:55:37 UTC
SVN commit 1086583 by kossebau:

fixed: set UDS_FILE_TYPE of services to S_IFLNK, not S_IFDIR

So Dolphin no longer crashes.

Will backport to 4.4 next.

Still KDirLister should catch this problem instead of crashing.
KDirListerCache::validUrl() might need to also test for url.isEmpty()

CCBUG:213895


 M  +2 -1      networkslave.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1086583
Comment 77 Friedrich W. H. Kossebau 2010-02-07 19:01:08 UTC
David and else, what do you think of this patch?

Index: kdelibs/kio/kio/kdirlister.cpp
===================================================================
--- kdelibs/kio/kio/kdirlister.cpp  (Revision 1086583)
+++ kdelibs/kio/kio/kdirlister.cpp  (Arbeitskopie)
@@ -322,7 +322,7 @@

 bool KDirListerCache::validUrl( const KDirLister *lister, const KUrl& url ) const
 {
-  if ( !url.isValid() )
+  if ( !url.isValid() || url.isEmpty() )
   {
     if ( lister->d->autoErrorHandling )
     {
Comment 78 David Faure 2010-02-08 11:13:47 UTC
Doesn't make sense to me. An empty URL is not valid, kurltest.cpp proves it

  KUrl emptyURL;
  QVERIFY( !emptyURL.isValid() );
  [...]
  KUrl emptyStringURL("");
  QVERIFY( !emptyStringURL.isValid() );

Are you sure your patch changes anything?
Comment 79 Frank Reininghaus 2010-02-09 12:26:39 UTC
*** Bug 225981 has been marked as a duplicate of this bug. ***
Comment 80 Frank Reininghaus 2010-02-09 12:45:05 UTC
@David, Friedrich: Bug 197851 looks like it might be a duplicate - can you confirm this?
Comment 81 Friedrich W. H. Kossebau 2010-02-10 05:06:10 UTC
(In reply to comment #78)
> Are you sure your patch changes anything?

That patch was completely bogus and tested in a messed system with my half
attention, pardon me.

The two solutions below are better tested and thought about: I undid the fix to
the network:/ kio-slave as above and tried harder to understand the KDirLister
code. I see two solutions. The first would be catching an empty url, like there
could be from other broken kio-slaves one day again, in
KDirListerCache::slotRedirection():

Index: kdelibs/kio/kio/kdirlister.cpp
===================================================================
--- kdelibs/kio/kio/kdirlister.cpp  (Revision 1087464)
+++ kdelibs/kio/kio/kdirlister.cpp  (Arbeitskopie)
@@ -1252,6 +1252,10 @@
         kDebug(7004) << "New redirection url same as old, giving up.";
         return;
     }
+    else if (newUrl.isEmpty()) {
+        kDebug(7004) << "New redirection url is empty, giving up.";
+        return;
+    }

     const QString oldUrlStr = oldUrl.url();
     const QString newUrlStr = newUrl.url();


The other solution would plug into all Jobs and catch empty(/invalid?) urls in
the redirection slots, like here for the ListJob:

Index: kdelibs/kio/kio/job.cpp
===================================================================
--- kdelibs/kio/kio/job.cpp (Revision 1087464)
+++ kdelibs/kio/kio/job.cpp (Arbeitskopie)
@@ -2458,7 +2465,14 @@
 void ListJobPrivate::slotRedirection( const KUrl & url )
 {
     Q_Q(ListJob);
-    if (!KAuthorized::authorizeUrlAction("redirect", m_url, url))
+     if (!url.isValid())
+     {
+       kWarning(7007) << "Redirection from " << m_url << " to the invalid url
" << url;
+       q->setError( ERR_MALFORMED_URL );
+       q->setErrorText( url.url() );
+       return;
+     }
+    else if (!KAuthorized::authorizeUrlAction("redirect", m_url, url))
     {
         kWarning(7007) << "ListJob: Redirection from " << m_url << " to " <<
url << " REJECTED!";
         return;

Or do you think this behaviour should not be checked for at all? And kio-slaves
rather behave well?
Comment 82 Friedrich W. H. Kossebau 2010-02-10 05:20:50 UTC
(In reply to comment #80)
> @David, Friedrich: Bug 197851 looks like it might be a duplicate - can you
> confirm this?

Might be, might not. Both are about problems with the smb:/ kio-slaves initially.

Which is the problem with this report here, there were many duplicates added (about the network:/ kio-slave) which are indeed duplicates, but not of the initial report, as I now see. And I only have talked about and fixed the network:/ kio-slave one. The initial one with the smb:/ kio-slave might still be valid, can not test myself due to no SMB shares in reach.

Is there an Unduplicate feature with bugs.kde.org? :)
Comment 83 Dario Andres 2010-02-12 13:54:55 UTC
From bug 226458:
I browse to a host running avahi
and ssh using dolphin and then click on the icon that has 'host [MAC]' and
dolphin segfaults.
Comment 84 Dario Andres 2010-02-12 13:55:00 UTC
*** Bug 226458 has been marked as a duplicate of this bug. ***
Comment 85 Alejandro Nova 2010-02-13 23:24:53 UTC
Created attachment 40752 [details]
New crash information added by DrKonqi

I can reproduce this under KDE 4.4.0.
I attach the following backtrace.
Distro: Fedora 12 Constantine.
Comment 86 Friedrich W. H. Kossebau 2010-02-13 23:43:55 UTC
Thanks. Fix is only done for 4.4.1, so please retest in a month.
Comment 87 Frank Reininghaus 2010-02-14 15:50:56 UTC
*** Bug 226701 has been marked as a duplicate of this bug. ***
Comment 88 Dario Andres 2010-02-15 15:34:51 UTC
*** Bug 226759 has been marked as a duplicate of this bug. ***
Comment 89 Petr Vorel 2010-02-18 18:57:24 UTC
Created attachment 40898 [details]
New crash information added by DrKonqi

Dolphin crashes everytime I try to access a different computer (Linux system) in the network directory. It happens even if I select my own computer.
Comment 90 Frank Reininghaus 2010-02-19 18:31:13 UTC
*** Bug 227634 has been marked as a duplicate of this bug. ***
Comment 91 Dario Andres 2010-02-19 22:48:54 UTC
*** Bug 227736 has been marked as a duplicate of this bug. ***
Comment 92 Dario Andres 2010-02-20 14:45:56 UTC
*** Bug 227811 has been marked as a duplicate of this bug. ***
Comment 93 Dario Andres 2010-02-20 20:42:32 UTC
*** Bug 227838 has been marked as a duplicate of this bug. ***
Comment 94 Dario Andres 2010-02-21 16:16:47 UTC
*** Bug 221882 has been marked as a duplicate of this bug. ***
Comment 95 Dario Andres 2010-02-26 02:56:39 UTC
*** Bug 228533 has been marked as a duplicate of this bug. ***
Comment 96 Phisss 2010-02-26 20:58:38 UTC
Created attachment 41148 [details]
New crash information added by DrKonqi

I have still the same problem after upgrading to KDE SC 4.4. Probabely it's a Kubuntu specific bug?
Comment 97 Dario Andres 2010-02-26 21:00:53 UTC
@phissica: no, it isn't Kubuntu specific, but it should be fixed in KDE SC 4.4.1
Regards
Comment 98 Dario Andres 2010-02-27 20:34:41 UTC
*** Bug 228801 has been marked as a duplicate of this bug. ***
Comment 99 Dario Andres 2010-02-28 14:31:44 UTC
*** Bug 228852 has been marked as a duplicate of this bug. ***
Comment 100 Dario Andres 2010-02-28 14:32:21 UTC
*** Bug 228817 has been marked as a duplicate of this bug. ***
Comment 101 Dario Andres 2010-02-28 14:32:25 UTC
*** Bug 228124 has been marked as a duplicate of this bug. ***
Comment 102 Rein 2010-03-03 10:28:40 UTC
*** Bug 229223 has been marked as a duplicate of this bug. ***
Comment 103 Frank Reininghaus 2010-03-04 14:57:18 UTC
*** Bug 229387 has been marked as a duplicate of this bug. ***
Comment 104 Frank Reininghaus 2010-03-05 19:55:44 UTC
*** Bug 229598 has been marked as a duplicate of this bug. ***
Comment 105 Dario Andres 2010-03-10 04:19:25 UTC
*** Bug 230127 has been marked as a duplicate of this bug. ***
Comment 106 Dario Andres 2010-03-10 04:20:00 UTC
*** Bug 229819 has been marked as a duplicate of this bug. ***
Comment 107 Frank Reininghaus 2010-03-13 17:14:22 UTC
*** Bug 230548 has been marked as a duplicate of this bug. ***
Comment 108 Frank Reininghaus 2010-03-15 19:20:41 UTC
*** Bug 230858 has been marked as a duplicate of this bug. ***
Comment 109 Frank Reininghaus 2010-03-23 12:17:45 UTC
*** Bug 231855 has been marked as a duplicate of this bug. ***
Comment 110 Dario Andres 2010-03-29 19:00:45 UTC
*** Bug 232600 has been marked as a duplicate of this bug. ***
Comment 111 Dario Andres 2010-03-31 14:55:34 UTC
*** Bug 232704 has been marked as a duplicate of this bug. ***
Comment 112 Daniel Wrana 2010-04-14 15:44:34 UTC
Created attachment 42777 [details]
New crash information added by DrKonqi

The very moment it is crashing is after entering a password. After relaunch of dolphin it works, but suddenly, when it wants the password again, it crashes again
Comment 113 Dario Andres 2010-04-18 12:43:06 UTC
*** Bug 234647 has been marked as a duplicate of this bug. ***
Comment 114 Frank Reininghaus 2010-04-18 16:07:29 UTC
*** Bug 234706 has been marked as a duplicate of this bug. ***
Comment 115 Rein 2010-05-19 15:59:16 UTC
I upgraded to kde 4.4.3 and cannot reproduce this bug anymore. thanks
Comment 116 Shlomi Fish 2010-05-19 17:05:48 UTC
(In reply to comment #115)
> I upgraded to kde 4.4.3 and cannot reproduce this bug anymore. thanks

Seems fine here - kdebase4-workspace-4.4.3-9mdv2010.1.src.rpm from what I tried.
Comment 117 Jonathan Thomas 2010-05-20 22:01:11 UTC
*** Bug 238132 has been marked as a duplicate of this bug. ***
Comment 118 Christoph Feck 2010-06-10 03:37:44 UTC
*** Bug 238381 has been marked as a duplicate of this bug. ***
Comment 119 Christoph Feck 2010-06-10 03:38:18 UTC
*** Bug 238382 has been marked as a duplicate of this bug. ***
Comment 120 Dario Andres 2010-08-07 14:53:15 UTC
*** Bug 246863 has been marked as a duplicate of this bug. ***
Comment 121 Nicolas L. 2010-08-16 13:45:56 UTC
*** Bug 248046 has been marked as a duplicate of this bug. ***
Comment 122 David Faure 2010-08-17 23:02:08 UTC
SVN commit 1164887 by dfaure:

Don't crash when a broken ioslave redirects to an empty URL; patch by Friedrich Kossebau.
CCBUG: 213895
[This is for the network:/ issue, not for the smb:/ issue which is probably a duplicate of 197851, see my comments there]


 M  +3 -0      kdirlister.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1164887
Comment 123 david.pierret 2010-09-06 11:45:20 UTC
Created attachment 51356 [details]
New crash information added by DrKonqi

Dolphin crash when openning a network share on a domain name (windows XP). 
typing "smb://192.168.xxx.xxx/" then enter loggin.
using Debian with xfce4
Comment 124 Milian Wolff 2010-10-11 19:02:27 UTC
*** Bug 253852 has been marked as a duplicate of this bug. ***
Comment 125 Milian Wolff 2010-10-11 19:02:42 UTC
*** Bug 229879 has been marked as a duplicate of this bug. ***
Comment 126 Milian Wolff 2010-10-11 19:03:04 UTC
*** Bug 252534 has been marked as a duplicate of this bug. ***
Comment 127 Milian Wolff 2010-10-11 19:03:15 UTC
*** Bug 251397 has been marked as a duplicate of this bug. ***
Comment 128 Milian Wolff 2010-10-11 19:03:25 UTC
*** Bug 249944 has been marked as a duplicate of this bug. ***
Comment 129 Milian Wolff 2010-10-11 19:06:54 UTC
to anyone who can reproduce this issue in any application, please run it through valgrind and post the log here:

valgrind --track-origins=yes --num-callers=50 $the-app
Comment 130 David Faure 2010-10-11 19:33:14 UTC
SVN commit 1184883 by dfaure:

Also dump more info when the crash from 213895 is about to happen - and make it more robust in release mode, only assert in debug mode.
This will be in 4.5.3, please paste the stderr from the app if this happens (e.g. looking in ~/.xsession-errors)
CCBUG: 213895


 M  +8 -1      kdirlister.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1184883
Comment 131 Wolfgang Mader 2010-10-12 09:41:24 UTC
valgrind output for KDevelop for this bug:

valgrind --track-origins=yes --num-callers=50 kdevelop
==2135== Memcheck, a memory error detector
==2135== Copyright (C) 2002-2010, and GNU GPL'd, by Julian Seward et al.
==2135== Using Valgrind-3.6.0.SVN-Debian and LibVEX; rerun with -h for copyright info
==2135== Command: kdevelop
==2135== 
==2135== Conditional jump or move depends on uninitialised value(s)
==2135==    at 0x6E75E40: inflateReset2 (in /lib/libz.so.1.2.3.4)
==2135==    by 0x6E75F2F: inflateInit2_ (in /lib/libz.so.1.2.3.4)
==2135==    by 0xB3E04AF: png_create_read_struct_2 (in /lib/libpng12.so.0.44.0)
==2135==    by 0xB3E0646: png_create_read_struct (in /lib/libpng12.so.0.44.0)
==2135==    by 0x8DFCC7D: QPngHandlerPrivate::readPngHeader() (qpnghandler.cpp:356)
==2135==    by 0x8DFD6BC: QPngHandlerPrivate::readPngImage(QImage*) (qpnghandler.cpp:427)
==2135==    by 0x8DCA752: QImageReader::read(QImage*) (qimagereader.cpp:1205)
==2135==    by 0x8DCAD1B: QImageReader::read() (qimagereader.cpp:1155)
==2135==    by 0x8DBA611: operator>>(QDataStream&, QImage&) (qimage.cpp:5149)
==2135==    by 0x8DD9D28: operator>>(QDataStream&, QPixmap&) (qpixmap.cpp:1315)
==2135==    by 0x54C8EBF: KIconLoaderPrivate::findCachedPixmapWithPath(QString const&, QPixmap&, QString&) (kiconloader.cpp:878)
==2135==    by 0x54D0F52: KIconLoader::loadIcon(QString const&, KIconLoader::Group, int, int, QStringList const&, QString*, bool) const (kiconloader.cpp:1218)
==2135==    by 0x54C7CEF: KIconEngine::pixmap(QSize const&, QIcon::Mode, QIcon::State) (kiconengine.cpp:93)
==2135==    by 0x8DA5E54: QIcon::pixmap(QSize const&, QIcon::Mode, QIcon::State) const (qicon.cpp:676)
==2135==    by 0x8D91B23: QWidgetPrivate::setWindowIcon_sys(bool) (qwidget_x11.cpp:1460)
==2135==    by 0x8D47361: QWidget::event(QEvent*) (qwidget.cpp:8288)
==2135==    by 0x8CF0FDB: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4396)
==2135==    by 0x8CF6AEC: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4277)
==2135==    by 0x551B155: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:310)
==2135==    by 0x5AA1CDB: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:732)
==2135==    by 0x8CF123A: QApplication::setWindowIcon(QIcon const&) (qcoreapplication.h:215)
==2135==    by 0x551CC38: KApplicationPrivate::parseCommandLine() (kapplication.cpp:836)
==2135==    by 0x551D541: KApplicationPrivate::init(bool) (kapplication.cpp:472)
==2135==    by 0x551EBB8: KApplication::KApplication(bool) (kapplication.cpp:351)
==2135==    by 0x405FF3: ??? (in /usr/bin/kdevelop)
==2135==    by 0x60F9D8D: (below main) (libc-start.c:226)
==2135==  Uninitialised value was created by a heap allocation
==2135==    at 0x4C2815C: malloc (vg_replace_malloc.c:236)
==2135==    by 0xB3E94F4: png_malloc (in /lib/libpng12.so.0.44.0)
==2135==    by 0xB3D2A85: ??? (in /lib/libpng12.so.0.44.0)
==2135==    by 0x6E75F0B: inflateInit2_ (in /lib/libz.so.1.2.3.4)
==2135==    by 0xB3E04AF: png_create_read_struct_2 (in /lib/libpng12.so.0.44.0)
==2135==    by 0xB3E0646: png_create_read_struct (in /lib/libpng12.so.0.44.0)
==2135==    by 0x8DFCC7D: QPngHandlerPrivate::readPngHeader() (qpnghandler.cpp:356)
==2135==    by 0x8DFD6BC: QPngHandlerPrivate::readPngImage(QImage*) (qpnghandler.cpp:427)
==2135==    by 0x8DCA752: QImageReader::read(QImage*) (qimagereader.cpp:1205)
==2135==    by 0x8DCAD1B: QImageReader::read() (qimagereader.cpp:1155)
==2135==    by 0x8DBA611: operator>>(QDataStream&, QImage&) (qimage.cpp:5149)
==2135==    by 0x8DD9D28: operator>>(QDataStream&, QPixmap&) (qpixmap.cpp:1315)
==2135==    by 0x54C8EBF: KIconLoaderPrivate::findCachedPixmapWithPath(QString const&, QPixmap&, QString&) (kiconloader.cpp:878)
==2135==    by 0x54D0F52: KIconLoader::loadIcon(QString const&, KIconLoader::Group, int, int, QStringList const&, QString*, bool) const (kiconloader.cpp:1218)
==2135==    by 0x54C7CEF: KIconEngine::pixmap(QSize const&, QIcon::Mode, QIcon::State) (kiconengine.cpp:93)
==2135==    by 0x8DA5E54: QIcon::pixmap(QSize const&, QIcon::Mode, QIcon::State) const (qicon.cpp:676)
==2135==    by 0x8D91B23: QWidgetPrivate::setWindowIcon_sys(bool) (qwidget_x11.cpp:1460)
==2135==    by 0x8D47361: QWidget::event(QEvent*) (qwidget.cpp:8288)
==2135==    by 0x8CF0FDB: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4396)
==2135==    by 0x8CF6AEC: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4277)
==2135==    by 0x551B155: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:310)
==2135==    by 0x5AA1CDB: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:732)
==2135==    by 0x8CF123A: QApplication::setWindowIcon(QIcon const&) (qcoreapplication.h:215)
==2135==    by 0x551CC38: KApplicationPrivate::parseCommandLine() (kapplication.cpp:836)
==2135==    by 0x551D541: KApplicationPrivate::init(bool) (kapplication.cpp:472)
==2135==    by 0x551EBB8: KApplication::KApplication(bool) (kapplication.cpp:351)
==2135==    by 0x405FF3: ??? (in /usr/bin/kdevelop)
==2135==    by 0x60F9D8D: (below main) (libc-start.c:226)
==2135== 
WARNING: deleting stale lockfile /home/wmader/.kde/share/apps/kdevelop/sessions//{e3802b30-efb3-4d0f-86a7-e388383e1bf1}/lock
WARNING: deleting stale lockfile /home/wmader/.kdevduchain/{e3802b30-efb3-4d0f-86a7-e388383e1bf1}/0/lock
<unknown program name>(2135)/ KDevelop::allocateRepository: picked duchain directory "/home/wmader/.kdevduchain/{e3802b30-efb3-4d0f-86a7-e388383e1bf1}/0"
<unknown program name>(2135)/ KDevelop::ItemRepositoryRegistry::open: current count of crashes:  2
<unknown program name>(2135)/ KDevelop::ItemRepositoryRegistry::open: kdevelop crashed 2 times in a row with the duchain repository "/home/wmader/.kdevduchain/{e3802b30-efb3-4d0f-86a7-e388383e1bf1}/0" , clearing it 
<unknown program name>(2135)/ KDevelop::ItemRepositoryRegistry::open: "The data-repository at /home/wmader/.kdevduchain/{e3802b30-efb3-4d0f-86a7-e388383e1bf1}/0 has to be cleared." 
<unknown program name>(2135)/ KDevelop::allocateRepository: picked duchain directory "/home/wmader/.kdevduchain/{e3802b30-efb3-4d0f-86a7-e388383e1bf1}/0"
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
kdevelop(2135)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkonsolepart.so"
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
kdevelop(2135)/kdevplatform (shell) KDevelop::SessionControllerPrivate::performRecovery: Starting recovery from  "/home/wmader/.kde/share/apps/kdevelop/sessions/{e3802b30-efb3-4d0f-86a7-e388383e1bf1}/recovery/current" 
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::KateOnTheFlyChecker: created
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::freeDocument:
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addView:
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges:
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges: new range:  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges: old range:  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 0) ]
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::KateOnTheFlyChecker: created
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::freeDocument:
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addView:
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges:
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges: new range:  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges: old range:  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 0) ]
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::KateOnTheFlyChecker: created
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::freeDocument:
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addView:
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges:
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges: new range:  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges: old range:  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges:
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges: new range:  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges: old range:  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges:
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges: new range:  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges: old range:  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges:
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges: new range:  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges: old range:  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("sftp://wmader@login.fdm.uni-freiburg.de:22/home/wmader/Twin Surrogates/ts_haupt_match_sig0.cpp") 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::textRemoved: added [ (0, 0)  ->  (0, 0) ]  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::rangeInvalid: (-1, -1) (-1, -1) ( [ (-1, -1)  ->  (-1, -1) ]  )
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::deleteMovingRange: [ (-1, -1)  ->  (-1, -1) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::removeRangeFromEverything: [ (-1, -1)  ->  (-1, -1) ]  ( [ (-1, -1)  ->  (-1, -1) ]  )
kdevelop(2135)/kdecore (services) KMimeTypeFactory::parseMagic: Now parsing  "/usr/share/mime/magic"
kdevelop(2135)/kdecore (services) KMimeTypeFactory::parseMagic: Now parsing  "/home/wmader/.local/share/mime/magic"
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::textInserted: added [ (0, 0)  ->  (36, 25) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::handleInsertedText: KateDocument(0x46286e0) [ (0, 0)  ->  (36, 25) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (36, 25) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::queueLineSpellCheck: KateDocument(0x46286e0) [ (32, 4)  ->  (32, 16) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addToSpellCheckQueue: KateDocument(0x46286e0) [ (32, 4)  ->  (32, 16) ]  ""
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addToSpellCheckQueue: added [ (32, 4)  ->  (32, 16) ]  "" to the queue, which has a length of 1
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::queueLineSpellCheck: KateDocument(0x46286e0) [ (17, 0)  ->  (17, 22) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addToSpellCheckQueue: KateDocument(0x46286e0) [ (17, 0)  ->  (17, 22) ]  ""
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addToSpellCheckQueue: added [ (17, 0)  ->  (17, 22) ]  "" to the queue, which has a length of 2
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::queueLineSpellCheck: KateDocument(0x46286e0) [ (0, 0)  ->  (0, 17) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addToSpellCheckQueue: KateDocument(0x46286e0) [ (0, 0)  ->  (0, 17) ]  ""
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addToSpellCheckQueue: added [ (0, 0)  ->  (0, 17) ]  "" to the queue, which has a length of 3
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::performSpellCheck: for the range  [ (0, 0)  ->  (0, 17) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 17) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::performSpellCheck: next spell checking "//TWIN SURROGATES"
Enchant dict for "en_US" 0x4c75290 
Enchant dict for "en_US" 0x4c75290 
Enchant dict for "en_US" 0x4c75290 
Enchant dict for "en_US" 0x4c75290 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::spellCheckDone: on-the-fly spell check done, queue length  2
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::performSpellCheck: for the range  [ (17, 0)  ->  (17, 22) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (17, 0)  ->  (17, 22) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::performSpellCheck: next spell checking "// Forward declaration"
Enchant dict for "en_US" 0x4c75290 
Enchant dict for "en_US" 0x4c75290 
kdevelop(2135)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("sftp://wmader@login.fdm.uni-freiburg.de:22/home/wmader/Twin Surrogates/constants.cpp") 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::spellCheckDone: on-the-fly spell check done, queue length  1
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::performSpellCheck: for the range  [ (32, 4)  ->  (32, 16) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (32, 4)  ->  (32, 16) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::performSpellCheck: next spell checking "//Parameters"
Enchant dict for "en_US" 0x4c75290 
Enchant dict for "en_US" 0x4c75290 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::spellCheckDone: on-the-fly spell check done, queue length  0
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::textRemoved: added [ (0, 0)  ->  (0, 0) ]  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::rangeInvalid: (-1, -1) (-1, -1) ( [ (-1, -1)  ->  (-1, -1) ]  )
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::deleteMovingRange: [ (-1, -1)  ->  (-1, -1) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::removeRangeFromEverything: [ (-1, -1)  ->  (-1, -1) ]  ( [ (-1, -1)  ->  (-1, -1) ]  )
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::textInserted: added [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::handleInsertedText: KateDocument(0x4876450) [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("sftp://wmader@login.fdm.uni-freiburg.de:22/home/wmader/Twin Surrogates/ts_rev.cpp") 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::textRemoved: added [ (0, 0)  ->  (0, 0) ]  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::rangeInvalid: (-1, -1) (-1, -1) ( [ (-1, -1)  ->  (-1, -1) ]  )
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::deleteMovingRange: [ (-1, -1)  ->  (-1, -1) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::removeRangeFromEverything: [ (-1, -1)  ->  (-1, -1) ]  ( [ (-1, -1)  ->  (-1, -1) ]  )
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
Enchant dict for "de_DE" 0x7f22f46512b0 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::textInserted: added [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::handleInsertedText: KateDocument(0x48893d0) [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges:
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges: new range:  [ (0, 0)  ->  (36, 25) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateInstalledMovingRanges: old range:  [ (0, 0)  ->  (0, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (36, 0)  ->  (36, 25) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (35, 0)  ->  (35, 18) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (34, 0)  ->  (34, 17) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (33, 0)  ->  (33, 26) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (32, 0)  ->  (32, 16) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::queueLineSpellCheck: KateDocument(0x46286e0) [ (32, 4)  ->  (32, 16) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addToSpellCheckQueue: KateDocument(0x46286e0) [ (32, 4)  ->  (32, 16) ]  ""
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addToSpellCheckQueue: added [ (32, 4)  ->  (32, 16) ]  "" to the queue, which has a length of 1
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (31, 0)  ->  (31, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (30, 0)  ->  (30, 34) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (29, 0)  ->  (29, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (28, 0)  ->  (28, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (27, 0)  ->  (27, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (26, 0)  ->  (26, 21) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (25, 0)  ->  (25, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (24, 0)  ->  (24, 24) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (23, 0)  ->  (23, 99) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (22, 0)  ->  (22, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (21, 0)  ->  (21, 24) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (20, 0)  ->  (20, 91) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (19, 0)  ->  (19, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (18, 0)  ->  (18, 43) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (17, 0)  ->  (17, 22) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::queueLineSpellCheck: KateDocument(0x46286e0) [ (17, 0)  ->  (17, 22) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addToSpellCheckQueue: KateDocument(0x46286e0) [ (17, 0)  ->  (17, 22) ]  ""
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addToSpellCheckQueue: added [ (17, 0)  ->  (17, 22) ]  "" to the queue, which has a length of 2
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (16, 0)  ->  (16, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (15, 0)  ->  (15, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (14, 0)  ->  (14, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (13, 0)  ->  (13, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (12, 0)  ->  (12, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (11, 0)  ->  (11, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (10, 0)  ->  (10, 21) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (9, 0)  ->  (9, 24) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (8, 0)  ->  (8, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (7, 0)  ->  (7, 19) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (6, 0)  ->  (6, 17) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (5, 0)  ->  (5, 16) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (4, 0)  ->  (4, 16) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (3, 0)  ->  (3, 18) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (2, 0)  ->  (2, 17) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (1, 0)  ->  (1, 0) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 17) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::queueLineSpellCheck: KateDocument(0x46286e0) [ (0, 0)  ->  (0, 17) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addToSpellCheckQueue: KateDocument(0x46286e0) [ (0, 0)  ->  (0, 17) ]  ""
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addToSpellCheckQueue: added [ (0, 0)  ->  (0, 17) ]  "" to the queue, which has a length of 3
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::performSpellCheck: for the range  [ (0, 0)  ->  (0, 17) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 17) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::performSpellCheck: next spell checking "//TWIN SURROGATES"
Enchant dict for "en_US" 0x4c75290 
Enchant dict for "en_US" 0x4c75290 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::spellCheckDone: on-the-fly spell check done, queue length  2
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::performSpellCheck: for the range  [ (17, 0)  ->  (17, 22) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (17, 0)  ->  (17, 22) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::performSpellCheck: next spell checking "// Forward declaration"
Enchant dict for "en_US" 0x4c75290 
Enchant dict for "en_US" 0x4c75290 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::spellCheckDone: on-the-fly spell check done, queue length  1
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::performSpellCheck: for the range  [ (32, 4)  ->  (32, 16) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::installedMovingRanges: [ (32, 4)  ->  (32, 16) ]
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::performSpellCheck: next spell checking "//Parameters"
Enchant dict for "en_US" 0x4c75290 
Enchant dict for "en_US" 0x4c75290 
kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::spellCheckDone: on-the-fly spell check done, queue length  0
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFileInfo::absolutePath: Constructed with empty filename
QFileInfo::absolutePath: Constructed with empty filename
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFileInfo::absolutePath: Constructed with empty filename
QFSFileEngine::map: Mapping a file beyond its size is not portable
kdevelop(2135)/kdevplatform (language) KDevelop::ClassFunctionDeclaration::setAbstractType: WARNING: Non-function type assigned to function declaration 
kdevelop(2135)/kio (KDirListerCache): Internal error: job is listing KUrl("sftp://wmader@login.fdm.uni-freiburg.de:22/home/wmader") but itemsInUse only knows about ("file:///home/wmader", "trash:/") 
KCrash: Application 'kdevelop.bin' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit

[1]+  Stopped                 valgrind --track-origins=yes --num-callers=50 kdevelop
Comment 132 perezomail 2010-10-12 15:07:03 UTC
this issue was resolved on my end by using nautilus to access network
folders housed on a non-encrypted drive

On Tue, Oct 12, 2010 at 2:41 AM, Wolfgang Mader
<Wolfgang_Mader@brain-frog.de> wrote:
> https://bugs.kde.org/show_bug.cgi?id=213895
>
>
>
>
>
> --- Comment #131 from Wolfgang Mader <Wolfgang_Mader brain-frog de>  2010-10-12 09:41:24 ---
> valgrind output for KDevelop for this bug:
>
> valgrind --track-origins=yes --num-callers=50 kdevelop
> ==2135== Memcheck, a memory error detector
> ==2135== Copyright (C) 2002-2010, and GNU GPL'd, by Julian Seward et al.
> ==2135== Using Valgrind-3.6.0.SVN-Debian and LibVEX; rerun with -h for
> copyright info
> ==2135== Command: kdevelop
> ==2135==
> ==2135== Conditional jump or move depends on uninitialised value(s)
> ==2135==    at 0x6E75E40: inflateReset2 (in /lib/libz.so.1.2.3.4)
> ==2135==    by 0x6E75F2F: inflateInit2_ (in /lib/libz.so.1.2.3.4)
> ==2135==    by 0xB3E04AF: png_create_read_struct_2 (in /lib/libpng12.so.0.44.0)
> ==2135==    by 0xB3E0646: png_create_read_struct (in /lib/libpng12.so.0.44.0)
> ==2135==    by 0x8DFCC7D: QPngHandlerPrivate::readPngHeader()
> (qpnghandler.cpp:356)
> ==2135==    by 0x8DFD6BC: QPngHandlerPrivate::readPngImage(QImage*)
> (qpnghandler.cpp:427)
> ==2135==    by 0x8DCA752: QImageReader::read(QImage*) (qimagereader.cpp:1205)
> ==2135==    by 0x8DCAD1B: QImageReader::read() (qimagereader.cpp:1155)
> ==2135==    by 0x8DBA611: operator>>(QDataStream&, QImage&) (qimage.cpp:5149)
> ==2135==    by 0x8DD9D28: operator>>(QDataStream&, QPixmap&) (qpixmap.cpp:1315)
> ==2135==    by 0x54C8EBF: KIconLoaderPrivate::findCachedPixmapWithPath(QString
> const&, QPixmap&, QString&) (kiconloader.cpp:878)
> ==2135==    by 0x54D0F52: KIconLoader::loadIcon(QString const&,
> KIconLoader::Group, int, int, QStringList const&, QString*, bool) const
> (kiconloader.cpp:1218)
> ==2135==    by 0x54C7CEF: KIconEngine::pixmap(QSize const&, QIcon::Mode,
> QIcon::State) (kiconengine.cpp:93)
> ==2135==    by 0x8DA5E54: QIcon::pixmap(QSize const&, QIcon::Mode,
> QIcon::State) const (qicon.cpp:676)
> ==2135==    by 0x8D91B23: QWidgetPrivate::setWindowIcon_sys(bool)
> (qwidget_x11.cpp:1460)
> ==2135==    by 0x8D47361: QWidget::event(QEvent*) (qwidget.cpp:8288)
> ==2135==    by 0x8CF0FDB: QApplicationPrivate::notify_helper(QObject*, QEvent*)
> (qapplication.cpp:4396)
> ==2135==    by 0x8CF6AEC: QApplication::notify(QObject*, QEvent*)
> (qapplication.cpp:4277)
> ==2135==    by 0x551B155: KApplication::notify(QObject*, QEvent*)
> (kapplication.cpp:310)
> ==2135==    by 0x5AA1CDB: QCoreApplication::notifyInternal(QObject*, QEvent*)
> (qcoreapplication.cpp:732)
> ==2135==    by 0x8CF123A: QApplication::setWindowIcon(QIcon const&)
> (qcoreapplication.h:215)
> ==2135==    by 0x551CC38: KApplicationPrivate::parseCommandLine()
> (kapplication.cpp:836)
> ==2135==    by 0x551D541: KApplicationPrivate::init(bool)
> (kapplication.cpp:472)
> ==2135==    by 0x551EBB8: KApplication::KApplication(bool)
> (kapplication.cpp:351)
> ==2135==    by 0x405FF3: ??? (in /usr/bin/kdevelop)
> ==2135==    by 0x60F9D8D: (below main) (libc-start.c:226)
> ==2135==  Uninitialised value was created by a heap allocation
> ==2135==    at 0x4C2815C: malloc (vg_replace_malloc.c:236)
> ==2135==    by 0xB3E94F4: png_malloc (in /lib/libpng12.so.0.44.0)
> ==2135==    by 0xB3D2A85: ??? (in /lib/libpng12.so.0.44.0)
> ==2135==    by 0x6E75F0B: inflateInit2_ (in /lib/libz.so.1.2.3.4)
> ==2135==    by 0xB3E04AF: png_create_read_struct_2 (in /lib/libpng12.so.0.44.0)
> ==2135==    by 0xB3E0646: png_create_read_struct (in /lib/libpng12.so.0.44.0)
> ==2135==    by 0x8DFCC7D: QPngHandlerPrivate::readPngHeader()
> (qpnghandler.cpp:356)
> ==2135==    by 0x8DFD6BC: QPngHandlerPrivate::readPngImage(QImage*)
> (qpnghandler.cpp:427)
> ==2135==    by 0x8DCA752: QImageReader::read(QImage*) (qimagereader.cpp:1205)
> ==2135==    by 0x8DCAD1B: QImageReader::read() (qimagereader.cpp:1155)
> ==2135==    by 0x8DBA611: operator>>(QDataStream&, QImage&) (qimage.cpp:5149)
> ==2135==    by 0x8DD9D28: operator>>(QDataStream&, QPixmap&) (qpixmap.cpp:1315)
> ==2135==    by 0x54C8EBF: KIconLoaderPrivate::findCachedPixmapWithPath(QString
> const&, QPixmap&, QString&) (kiconloader.cpp:878)
> ==2135==    by 0x54D0F52: KIconLoader::loadIcon(QString const&,
> KIconLoader::Group, int, int, QStringList const&, QString*, bool) const
> (kiconloader.cpp:1218)
> ==2135==    by 0x54C7CEF: KIconEngine::pixmap(QSize const&, QIcon::Mode,
> QIcon::State) (kiconengine.cpp:93)
> ==2135==    by 0x8DA5E54: QIcon::pixmap(QSize const&, QIcon::Mode,
> QIcon::State) const (qicon.cpp:676)
> ==2135==    by 0x8D91B23: QWidgetPrivate::setWindowIcon_sys(bool)
> (qwidget_x11.cpp:1460)
> ==2135==    by 0x8D47361: QWidget::event(QEvent*) (qwidget.cpp:8288)
> ==2135==    by 0x8CF0FDB: QApplicationPrivate::notify_helper(QObject*, QEvent*)
> (qapplication.cpp:4396)
> ==2135==    by 0x8CF6AEC: QApplication::notify(QObject*, QEvent*)
> (qapplication.cpp:4277)
> ==2135==    by 0x551B155: KApplication::notify(QObject*, QEvent*)
> (kapplication.cpp:310)
> ==2135==    by 0x5AA1CDB: QCoreApplication::notifyInternal(QObject*, QEvent*)
> (qcoreapplication.cpp:732)
> ==2135==    by 0x8CF123A: QApplication::setWindowIcon(QIcon const&)
> (qcoreapplication.h:215)
> ==2135==    by 0x551CC38: KApplicationPrivate::parseCommandLine()
> (kapplication.cpp:836)
> ==2135==    by 0x551D541: KApplicationPrivate::init(bool)
> (kapplication.cpp:472)
> ==2135==    by 0x551EBB8: KApplication::KApplication(bool)
> (kapplication.cpp:351)
> ==2135==    by 0x405FF3: ??? (in /usr/bin/kdevelop)
> ==2135==    by 0x60F9D8D: (below main) (libc-start.c:226)
> ==2135==
> WARNING: deleting stale lockfile
> /home/wmader/.kde/share/apps/kdevelop/sessions//{e3802b30-efb3-4d0f-86a7-e388383e1bf1}/lock
> WARNING: deleting stale lockfile
> /home/wmader/.kdevduchain/{e3802b30-efb3-4d0f-86a7-e388383e1bf1}/0/lock
> <unknown program name>(2135)/ KDevelop::allocateRepository: picked duchain
> directory "/home/wmader/.kdevduchain/{e3802b30-efb3-4d0f-86a7-e388383e1bf1}/0"
> <unknown program name>(2135)/ KDevelop::ItemRepositoryRegistry::open: current
> count of crashes:  2
> <unknown program name>(2135)/ KDevelop::ItemRepositoryRegistry::open: kdevelop
> crashed 2 times in a row with the duchain repository
> "/home/wmader/.kdevduchain/{e3802b30-efb3-4d0f-86a7-e388383e1bf1}/0" , clearing
> it
> <unknown program name>(2135)/ KDevelop::ItemRepositoryRegistry::open: "The
> data-repository at
> /home/wmader/.kdevduchain/{e3802b30-efb3-4d0f-86a7-e388383e1bf1}/0 has to be
> cleared."
> <unknown program name>(2135)/ KDevelop::allocateRepository: picked duchain
> directory "/home/wmader/.kdevduchain/{e3802b30-efb3-4d0f-86a7-e388383e1bf1}/0"
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> Connecting to deprecated signal
> QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
> kdevelop(2135)/kdecore (KLibrary) findLibraryInternal: plugins should not have
> a 'lib' prefix: "libkonsolepart.so"
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> kdevelop(2135)/kdevplatform (shell)
> KDevelop::SessionControllerPrivate::performRecovery: Starting recovery from
> "/home/wmader/.kde/share/apps/kdevelop/sessions/{e3802b30-efb3-4d0f-86a7-e388383e1bf1}/recovery/current"
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::KateOnTheFlyChecker: created
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::freeDocument:
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addView:
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges:
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges: new range:  [ (0, 0)  ->  (0,
> 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges: old range:  [ (0, 0)  ->  (0,
> 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 0) ]
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::KateOnTheFlyChecker: created
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::freeDocument:
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addView:
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges:
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges: new range:  [ (0, 0)  ->  (0,
> 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges: old range:  [ (0, 0)  ->  (0,
> 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 0) ]
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::KateOnTheFlyChecker: created
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::freeDocument:
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::addView:
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges:
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges: new range:  [ (0, 0)  ->  (0,
> 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges: old range:  [ (0, 0)  ->  (0,
> 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges:
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges: new range:  [ (0, 0)  ->  (0,
> 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges: old range:  [ (0, 0)  ->  (0,
> 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges:
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges: new range:  [ (0, 0)  ->  (0,
> 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges: old range:  [ (0, 0)  ->  (0,
> 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges:
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges: new range:  [ (0, 0)  ->  (0,
> 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges: old range:  [ (0, 0)  ->  (0,
> 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 0) ]
> kdevelop(2135)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted
> again, or after sending first data!; job URL =
> KUrl("sftp://wmader@login.fdm.uni-freiburg.de:22/home/wmader/Twin
> Surrogates/ts_haupt_match_sig0.cpp")
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::textRemoved:
> added [ (0, 0)  ->  (0, 0) ]  [ (0, 0)  ->  (0, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::rangeInvalid:
> (-1, -1) (-1, -1) ( [ (-1, -1)  ->  (-1, -1) ]  )
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::deleteMovingRange: [ (-1, -1)  ->  (-1, -1) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::removeRangeFromEverything: [ (-1, -1)  ->  (-1, -1) ]  ( [
> (-1, -1)  ->  (-1, -1) ]  )
> kdevelop(2135)/kdecore (services) KMimeTypeFactory::parseMagic: Now parsing
> "/usr/share/mime/magic"
> kdevelop(2135)/kdecore (services) KMimeTypeFactory::parseMagic: Now parsing
> "/home/wmader/.local/share/mime/magic"
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::textInserted:
> added [ (0, 0)  ->  (36, 25) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::handleInsertedText: KateDocument(0x46286e0) [ (0, 0)  ->
> (36, 25) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (36, 25) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::queueLineSpellCheck: KateDocument(0x46286e0) [ (32, 4)  ->
>  (32, 16) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::addToSpellCheckQueue: KateDocument(0x46286e0) [ (32, 4)
> ->  (32, 16) ]  ""
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::addToSpellCheckQueue: added [ (32, 4)  ->  (32, 16) ]  ""
> to the queue, which has a length of 1
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::queueLineSpellCheck: KateDocument(0x46286e0) [ (17, 0)  ->
>  (17, 22) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::addToSpellCheckQueue: KateDocument(0x46286e0) [ (17, 0)
> ->  (17, 22) ]  ""
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::addToSpellCheckQueue: added [ (17, 0)  ->  (17, 22) ]  ""
> to the queue, which has a length of 2
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::queueLineSpellCheck: KateDocument(0x46286e0) [ (0, 0)  ->
> (0, 17) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::addToSpellCheckQueue: KateDocument(0x46286e0) [ (0, 0)  ->
>  (0, 17) ]  ""
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::addToSpellCheckQueue: added [ (0, 0)  ->  (0, 17) ]  "" to
> the queue, which has a length of 3
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::performSpellCheck: for the range  [ (0, 0)  ->  (0, 17) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 17) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::performSpellCheck: next spell checking "//TWIN SURROGATES"
> Enchant dict for "en_US" 0x4c75290
> Enchant dict for "en_US" 0x4c75290
> Enchant dict for "en_US" 0x4c75290
> Enchant dict for "en_US" 0x4c75290
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::spellCheckDone: on-the-fly spell check done, queue length
> 2
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::performSpellCheck: for the range  [ (17, 0)  ->  (17, 22)
> ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (17, 0)  ->  (17, 22) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::performSpellCheck: next spell checking "// Forward
> declaration"
> Enchant dict for "en_US" 0x4c75290
> Enchant dict for "en_US" 0x4c75290
> kdevelop(2135)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted
> again, or after sending first data!; job URL =
> KUrl("sftp://wmader@login.fdm.uni-freiburg.de:22/home/wmader/Twin
> Surrogates/constants.cpp")
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::spellCheckDone: on-the-fly spell check done, queue length
> 1
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::performSpellCheck: for the range  [ (32, 4)  ->  (32, 16)
> ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (32, 4)  ->  (32, 16) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::performSpellCheck: next spell checking "//Parameters"
> Enchant dict for "en_US" 0x4c75290
> Enchant dict for "en_US" 0x4c75290
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::spellCheckDone: on-the-fly spell check done, queue length
> 0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::textRemoved:
> added [ (0, 0)  ->  (0, 0) ]  [ (0, 0)  ->  (0, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::rangeInvalid:
> (-1, -1) (-1, -1) ( [ (-1, -1)  ->  (-1, -1) ]  )
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::deleteMovingRange: [ (-1, -1)  ->  (-1, -1) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::removeRangeFromEverything: [ (-1, -1)  ->  (-1, -1) ]  ( [
> (-1, -1)  ->  (-1, -1) ]  )
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::textInserted:
> added [ (0, 0)  ->  (0, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::handleInsertedText: KateDocument(0x4876450) [ (0, 0)  ->
> (0, 0) ]
> kdevelop(2135)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted
> again, or after sending first data!; job URL =
> KUrl("sftp://wmader@login.fdm.uni-freiburg.de:22/home/wmader/Twin
> Surrogates/ts_rev.cpp")
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::textRemoved:
> added [ (0, 0)  ->  (0, 0) ]  [ (0, 0)  ->  (0, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::rangeInvalid:
> (-1, -1) (-1, -1) ( [ (-1, -1)  ->  (-1, -1) ]  )
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::deleteMovingRange: [ (-1, -1)  ->  (-1, -1) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::removeRangeFromEverything: [ (-1, -1)  ->  (-1, -1) ]  ( [
> (-1, -1)  ->  (-1, -1) ]  )
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::updateConfig:
> Enchant dict for "de_DE" 0x7f22f46512b0
> kdevelop(2135)/Kate (On-The-Fly Spellcheck) KateOnTheFlyChecker::textInserted:
> added [ (0, 0)  ->  (0, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::handleInsertedText: KateDocument(0x48893d0) [ (0, 0)  ->
> (0, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges:
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges: new range:  [ (0, 0)  ->
> (36, 25) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::updateInstalledMovingRanges: old range:  [ (0, 0)  ->  (0,
> 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (36, 0)  ->  (36, 25) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (35, 0)  ->  (35, 18) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (34, 0)  ->  (34, 17) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (33, 0)  ->  (33, 26) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (32, 0)  ->  (32, 16) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::queueLineSpellCheck: KateDocument(0x46286e0) [ (32, 4)  ->
>  (32, 16) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::addToSpellCheckQueue: KateDocument(0x46286e0) [ (32, 4)
> ->  (32, 16) ]  ""
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::addToSpellCheckQueue: added [ (32, 4)  ->  (32, 16) ]  ""
> to the queue, which has a length of 1
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (31, 0)  ->  (31, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (30, 0)  ->  (30, 34) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (29, 0)  ->  (29, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (28, 0)  ->  (28, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (27, 0)  ->  (27, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (26, 0)  ->  (26, 21) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (25, 0)  ->  (25, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (24, 0)  ->  (24, 24) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (23, 0)  ->  (23, 99) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (22, 0)  ->  (22, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (21, 0)  ->  (21, 24) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (20, 0)  ->  (20, 91) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (19, 0)  ->  (19, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (18, 0)  ->  (18, 43) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (17, 0)  ->  (17, 22) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::queueLineSpellCheck: KateDocument(0x46286e0) [ (17, 0)  ->
>  (17, 22) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::addToSpellCheckQueue: KateDocument(0x46286e0) [ (17, 0)
> ->  (17, 22) ]  ""
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::addToSpellCheckQueue: added [ (17, 0)  ->  (17, 22) ]  ""
> to the queue, which has a length of 2
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (16, 0)  ->  (16, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (15, 0)  ->  (15, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (14, 0)  ->  (14, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (13, 0)  ->  (13, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (12, 0)  ->  (12, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (11, 0)  ->  (11, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (10, 0)  ->  (10, 21) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (9, 0)  ->  (9, 24) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (8, 0)  ->  (8, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (7, 0)  ->  (7, 19) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (6, 0)  ->  (6, 17) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (5, 0)  ->  (5, 16) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (4, 0)  ->  (4, 16) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (3, 0)  ->  (3, 18) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (2, 0)  ->  (2, 17) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (1, 0)  ->  (1, 0) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 17) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::queueLineSpellCheck: KateDocument(0x46286e0) [ (0, 0)  ->
> (0, 17) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::addToSpellCheckQueue: KateDocument(0x46286e0) [ (0, 0)  ->
>  (0, 17) ]  ""
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::addToSpellCheckQueue: added [ (0, 0)  ->  (0, 17) ]  "" to
> the queue, which has a length of 3
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::performSpellCheck: for the range  [ (0, 0)  ->  (0, 17) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (0, 0)  ->  (0, 17) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::performSpellCheck: next spell checking "//TWIN SURROGATES"
> Enchant dict for "en_US" 0x4c75290
> Enchant dict for "en_US" 0x4c75290
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::spellCheckDone: on-the-fly spell check done, queue length
> 2
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::performSpellCheck: for the range  [ (17, 0)  ->  (17, 22)
> ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (17, 0)  ->  (17, 22) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::performSpellCheck: next spell checking "// Forward
> declaration"
> Enchant dict for "en_US" 0x4c75290
> Enchant dict for "en_US" 0x4c75290
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::spellCheckDone: on-the-fly spell check done, queue length
> 1
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::performSpellCheck: for the range  [ (32, 4)  ->  (32, 16)
> ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::installedMovingRanges: [ (32, 4)  ->  (32, 16) ]
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::performSpellCheck: next spell checking "//Parameters"
> Enchant dict for "en_US" 0x4c75290
> Enchant dict for "en_US" 0x4c75290
> kdevelop(2135)/Kate (On-The-Fly Spellcheck)
> KateOnTheFlyChecker::spellCheckDone: on-the-fly spell check done, queue length
> 0
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFileInfo::absolutePath: Constructed with empty filename
> QFileInfo::absolutePath: Constructed with empty filename
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> QFileInfo::absolutePath: Constructed with empty filename
> QFSFileEngine::map: Mapping a file beyond its size is not portable
> kdevelop(2135)/kdevplatform (language)
> KDevelop::ClassFunctionDeclaration::setAbstractType: WARNING: Non-function type
> assigned to function declaration
> kdevelop(2135)/kio (KDirListerCache): Internal error: job is listing
> KUrl("sftp://wmader@login.fdm.uni-freiburg.de:22/home/wmader") but itemsInUse
> only knows about ("file:///home/wmader", "trash:/")
> KCrash: Application 'kdevelop.bin' crashing...
> KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
>
> [1]+  Stopped                 valgrind --track-origins=yes --num-callers=50
> kdevelop
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 133 Milian Wolff 2010-10-12 16:50:56 UTC
@  Wolfgang Mader:

sorry, I only now see you are using KDevelop 4.0.x. Please do the following (not required starting from KDevelop 4.1 and above):

kdevelop --sessions

=> find the {...} HASH for your session, then

KDEV_SESSION={the-hash} valgrind --track-origins=yes --num-callers=50 kdevelop.bin
Comment 134 Wolfgang Mader 2010-10-12 17:43:53 UTC
@ Milian Wolff

the command
   kdevelop --sessions
gives me
   Available sessions (use '-s HASH' or '-s NAME' to open a specific one):

   Hash                                    Name: Opened Projects
Therefore I started kdevelep without specifiying a session, but otherwise as you have proposed.

Additional Information:
- The authentication dialgo comes up. KDevelop crashes on loading the content of the folder accessed by sftp.
- The file transfere is running after KDevelop has crashed. At least the indicator in the KDE information area keeps running.

Now, here is the command and the output. I also have a version using 
   KDEV_SESSION={} valgrind --track-origins=yes --num-callers=50 --leak-check=full -v --log-file=val.log  kdevelop.bin

but the output is too long to be posted here. If you are interessted I can send it to you via mail.


------ Start ------
KDEV_SESSION={the-hash} valgrind --track-origins=yes --log-file=valshort.log --num-callers=50 kdevelop.bin

==3399== Memcheck, a memory error detector
==3399== Copyright (C) 2002-2010, and GNU GPL'd, by Julian Seward et al.
==3399== Using Valgrind-3.6.0.SVN-Debian and LibVEX; rerun with -h for copyright info
==3399== Command: kdevelop.bin
==3399== Parent PID: 3359
==3399== 
==3399== Conditional jump or move depends on uninitialised value(s)
==3399==    at 0x82EFE40: inflateReset2 (in /lib/libz.so.1.2.3.4)
==3399==    by 0x82EFF2F: inflateInit2_ (in /lib/libz.so.1.2.3.4)
==3399==    by 0xE4944AF: png_create_read_struct_2 (in /lib/libpng12.so.0.44.0)
==3399==    by 0xE494646: png_create_read_struct (in /lib/libpng12.so.0.44.0)
==3399==    by 0x682AC7D: QPngHandlerPrivate::readPngHeader() (qpnghandler.cpp:356)
==3399==    by 0x682B6BC: QPngHandlerPrivate::readPngImage(QImage*) (qpnghandler.cpp:427)
==3399==    by 0x67F8752: QImageReader::read(QImage*) (qimagereader.cpp:1205)
==3399==    by 0x67F8D1B: QImageReader::read() (qimagereader.cpp:1155)
==3399==    by 0x67E8611: operator>>(QDataStream&, QImage&) (qimage.cpp:5149)
==3399==    by 0x6807D28: operator>>(QDataStream&, QPixmap&) (qpixmap.cpp:1315)
==3399==    by 0x5C5AEBF: KIconLoaderPrivate::findCachedPixmapWithPath(QString const&, QPixmap&, QString&) (kiconloader.cpp:878)
==3399==    by 0x5C62F52: KIconLoader::loadIcon(QString const&, KIconLoader::Group, int, int, QStringList const&, QString*, bool) const (kiconloader.cpp:1218)
==3399==    by 0x5C59CEF: KIconEngine::pixmap(QSize const&, QIcon::Mode, QIcon::State) (kiconengine.cpp:93)
==3399==    by 0x67D3E54: QIcon::pixmap(QSize const&, QIcon::Mode, QIcon::State) const (qicon.cpp:676)
==3399==    by 0x67BFB23: QWidgetPrivate::setWindowIcon_sys(bool) (qwidget_x11.cpp:1460)
==3399==    by 0x6775361: QWidget::event(QEvent*) (qwidget.cpp:8288)
==3399==    by 0x671EFDB: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4396)
==3399==    by 0x6724AEC: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4277)
==3399==    by 0x5CAD155: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:310)
==3399==    by 0x6233CDB: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:732)
==3399==    by 0x671F23A: QApplication::setWindowIcon(QIcon const&) (qcoreapplication.h:215)
==3399==    by 0x5CAEC38: KApplicationPrivate::parseCommandLine() (kapplication.cpp:836)
==3399==    by 0x5CAF541: KApplicationPrivate::init(bool) (kapplication.cpp:472)
==3399==    by 0x5CB0D28: KApplication::KApplication(bool) (kapplication.cpp:351)
==3399==    by 0x406F82: ??? (in /usr/bin/kdevelop.bin)
==3399==    by 0x7573D8D: (below main) (libc-start.c:226)
==3399==  Uninitialised value was created by a heap allocation
==3399==    at 0x4C2815C: malloc (vg_replace_malloc.c:236)
==3399==    by 0xE49D4F4: png_malloc (in /lib/libpng12.so.0.44.0)
==3399==    by 0xE486A85: ??? (in /lib/libpng12.so.0.44.0)
==3399==    by 0x82EFF0B: inflateInit2_ (in /lib/libz.so.1.2.3.4)
==3399==    by 0xE4944AF: png_create_read_struct_2 (in /lib/libpng12.so.0.44.0)
==3399==    by 0xE494646: png_create_read_struct (in /lib/libpng12.so.0.44.0)
==3399==    by 0x682AC7D: QPngHandlerPrivate::readPngHeader() (qpnghandler.cpp:356)
==3399==    by 0x682B6BC: QPngHandlerPrivate::readPngImage(QImage*) (qpnghandler.cpp:427)
==3399==    by 0x67F8752: QImageReader::read(QImage*) (qimagereader.cpp:1205)
==3399==    by 0x67F8D1B: QImageReader::read() (qimagereader.cpp:1155)
==3399==    by 0x67E8611: operator>>(QDataStream&, QImage&) (qimage.cpp:5149)
==3399==    by 0x6807D28: operator>>(QDataStream&, QPixmap&) (qpixmap.cpp:1315)
==3399==    by 0x5C5AEBF: KIconLoaderPrivate::findCachedPixmapWithPath(QString const&, QPixmap&, QString&) (kiconloader.cpp:878)
==3399==    by 0x5C62F52: KIconLoader::loadIcon(QString const&, KIconLoader::Group, int, int, QStringList const&, QString*, bool) const (kiconloader.cpp:1218)
==3399==    by 0x5C59CEF: KIconEngine::pixmap(QSize const&, QIcon::Mode, QIcon::State) (kiconengine.cpp:93)
==3399==    by 0x67D3E54: QIcon::pixmap(QSize const&, QIcon::Mode, QIcon::State) const (qicon.cpp:676)
==3399==    by 0x67BFB23: QWidgetPrivate::setWindowIcon_sys(bool) (qwidget_x11.cpp:1460)
==3399==    by 0x6775361: QWidget::event(QEvent*) (qwidget.cpp:8288)
==3399==    by 0x671EFDB: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4396)
==3399==    by 0x6724AEC: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4277)
==3399==    by 0x5CAD155: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:310)
==3399==    by 0x6233CDB: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:732)
==3399==    by 0x671F23A: QApplication::setWindowIcon(QIcon const&) (qcoreapplication.h:215)
==3399==    by 0x5CAEC38: KApplicationPrivate::parseCommandLine() (kapplication.cpp:836)
==3399==    by 0x5CAF541: KApplicationPrivate::init(bool) (kapplication.cpp:472)
==3399==    by 0x5CB0D28: KApplication::KApplication(bool) (kapplication.cpp:351)
==3399==    by 0x406F82: ??? (in /usr/bin/kdevelop.bin)
==3399==    by 0x7573D8D: (below main) (libc-start.c:226)
==3399== 
==3399== Invalid read of size 4
==3399==    at 0x9B6840B: KDirListerCache::slotResult(KJob*) (qatomic_x86_64.h:121)
==3399==    by 0x9B76E22: KDirListerCache::qt_metacall(QMetaObject::Call, int, void**) (kdirlister_p.moc:105)
==3399==    by 0x624BB26: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3280)
==3399==    by 0x4F50711: KJob::result(KJob*) (kjob.moc:194)
==3399==    by 0x4F509AF: KJob::emitResult() (kjob.cpp:312)
==3399==    by 0x9B4C202: KIO::SimpleJob::slotFinished() (job.cpp:522)
==3399==    by 0x9B4C33F: KIO::ListJob::slotFinished() (job.cpp:2553)
==3399==    by 0x9B50188: KIO::ListJob::qt_metacall(QMetaObject::Call, int, void**) (jobclasses.moc:818)
==3399==    by 0x624BB26: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3280)
==3399==    by 0x9BFBC8D: KIO::SlaveInterface::dispatch(int, QByteArray const&) (slaveinterface.cpp:175)
==3399==    by 0x9BF8CC2: KIO::SlaveInterface::dispatch() (slaveinterface.cpp:91)
==3399==    by 0x9BEC875: KIO::Slave::gotInput() (slave.cpp:344)
==3399==    by 0x9BECA5B: KIO::Slave::qt_metacall(QMetaObject::Call, int, void**) (slave.moc:82)
==3399==    by 0x624BB26: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3280)
==3399==    by 0x9B18DF6: KIO::ConnectionPrivate::dequeue() (connection.cpp:82)
==3399==    by 0x9B18F1C: KIO::Connection::qt_metacall(QMetaObject::Call, int, void**) (connection.moc:79)
==3399==    by 0x6245BDD: QObject::event(QEvent*) (qobject.cpp:1219)
==3399==    by 0x671EFDB: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4396)
==3399==    by 0x6724AEC: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4277)
==3399==    by 0x5CAD155: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:310)
==3399==    by 0x6233CDB: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:732)
==3399==    by 0x6236C21: QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (qcoreapplication.h:215)
==3399==    by 0x6260652: postEventSourceDispatch(_GSource*, int (*)(void*), void*) (qcoreapplication.h:220)
==3399==    by 0xDD91341: g_main_context_dispatch (in /lib/libglib-2.0.so.0.2600.0)
==3399==    by 0xDD952A7: ??? (in /lib/libglib-2.0.so.0.2600.0)
==3399==    by 0xDD9545B: g_main_context_iteration (in /lib/libglib-2.0.so.0.2600.0)
==3399==    by 0x6260192: QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventdispatcher_glib.cpp:415)
==3399==    by 0x67D1A4D: QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qguieventdispatcher_glib.cpp:204)
==3399==    by 0x6232A01: QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventloop.cpp:149)
==3399==    by 0x6232DEB: QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (qeventloop.cpp:201)
==3399==    by 0x9BCDE4B: KIO::NetAccess::enter_loop() (netaccess.cpp:502)
==3399==    by 0x9BCE49E: KIO::NetAccess::synchronousRunInternal(KIO::Job*, QWidget*, QByteArray*, KUrl*, QMap<QString, QString>*) (netaccess.cpp:487)
==3399==    by 0x9BCEB90: KIO::NetAccess::synchronousRun(KIO::Job*, QWidget*, QByteArray*, KUrl*, QMap<QString, QString>*) (netaccess.cpp:277)
==3399==    by 0x55E56FE: ??? (in /usr/lib/libkdevplatformshell.so.1.0.2)
==3399==    by 0x55E67C3: ??? (in /usr/lib/libkdevplatformshell.so.1.0.2)
==3399==    by 0x624BB26: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3280)
==3399==    by 0x55E2261: ??? (in /usr/lib/libkdevplatformshell.so.1.0.2)
==3399==    by 0x55E2540: ??? (in /usr/lib/libkdevplatformshell.so.1.0.2)
==3399==    by 0x55E2620: ??? (in /usr/lib/libkdevplatformshell.so.1.0.2)
==3399==    by 0x624BB26: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3280)
==3399==    by 0x9F56891: KDirOperator::urlEntered(KUrl const&) (kdiroperator.moc:279)
==3399==    by 0x9F62AF7: KDirOperator::qt_metacall(QMetaObject::Call, int, void**) (kdiroperator.moc:252)
==3399==    by 0x624BB26: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3280)
==3399==    by 0x9B62F14: KDirLister::redirection(KUrl const&) (kdirlister.moc:240)
==3399==    by 0x9B652B4: KDirLister::Private::redirect(KUrl const&, KUrl const&, bool) (kdirlister.cpp:2611)
==3399==    by 0x9B69DB2: KDirListerCache::slotRedirection(KIO::Job*, KUrl const&) (kdirlister.cpp:1284)
==3399==    by 0x9B76E46: KDirListerCache::qt_metacall(QMetaObject::Call, int, void**) (kdirlister_p.moc:106)
==3399==    by 0x624BB26: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3280)
==3399==    by 0x9B44236: KIO::ListJob::redirection(KIO::Job*, KUrl const&) (jobclasses.moc:842)
==3399==    by 0x9B4B988: KIO::ListJobPrivate::slotRedirection(KUrl const&) (job.cpp:2515)
==3399==  Address 0x4000400000028 is not stack'd, malloc'd or (recently) free'd
==3399== 
==3399== 
==3399== HEAP SUMMARY:
==3399==     in use at exit: 33,862,167 bytes in 119,502 blocks
==3399==   total heap usage: 883,054 allocs, 763,552 frees, 292,585,551 bytes allocated
==3399== 
==3399== LEAK SUMMARY:
==3399==    definitely lost: 133,545 bytes in 1,283 blocks
==3399==    indirectly lost: 389,461 bytes in 1,730 blocks
==3399==      possibly lost: 11,963,596 bytes in 92,521 blocks
==3399==    still reachable: 21,375,565 bytes in 23,968 blocks
==3399==         suppressed: 0 bytes in 0 blocks
==3399== Rerun with --leak-check=full to see details of leaked memory
==3399== 
==3399== For counts of detected and suppressed errors, rerun with: -v
==3399== ERROR SUMMARY: 452 errors from 2 contexts (suppressed: 26 from 10)
------ End ------
Comment 135 David Faure 2010-10-12 22:04:41 UTC
Actually, I don't need a valgrind log (this is an assert, coming from an error
in application logic, not a crash due to invalid use of memory). What I need is
stderr output with kdelibs compiled in debug mode. But I see that some descriptions
mention kdevelop+sftp rather than dolphin+smb (which I can't reproduce for lack
of a smb.conf that would ask a password on smb://host), so I'll give that a
try.

perezomail: please don't top-post nor quote entire emails when replying to
bugzilla -- and you switching to another program doesn't really solve anything
in kde ;).
Comment 136 Jekyll Wu 2012-05-30 19:51:28 UTC
*** Bug 238122 has been marked as a duplicate of this bug. ***
Comment 137 Dawit Alemayehu 2014-01-01 20:14:21 UTC
I cannot reproduce this crash for Dolphin+smb or Konqueror+smb. Is this still an issue in the latest version of Konqueror, 4.11.4 or higher? If so can someone please provide what David asked for in comment# 135?
Comment 138 Tim Clarke 2014-01-01 20:20:31 UTC
I no longer have that environment available to test. Sorry.
Comment 139 Bogdan Bivolaru 2014-01-03 05:37:51 UTC
It's possible that the issue was fixed.

Quote from description / one of the earliest comments:
"From bug 213645: --- What I was doing when the application crashed: My machine name is wkst05. In Dolphin I can browse to *network:/wkst05.local* and I see the node wkst05[ipv6]. Dolphin crashes as soon as I enter that node."

Samba shares now appear under "smb://workgroup/" (Dolphin 4.11.2). Is it possible that using "network:" protocol for samba shares was causing the bug?
Comment 140 Dawit Alemayehu 2014-01-03 05:57:53 UTC
(In reply to comment #139)
> It's possible that the issue was fixed.
> 
> Quote from description / one of the earliest comments:
> "From bug 213645: --- What I was doing when the application crashed: My
> machine name is wkst05. In Dolphin I can browse to *network:/wkst05.local*
> and I see the node wkst05[ipv6]. Dolphin crashes as soon as I enter that
> node."
> 
> Samba shares now appear under "smb://workgroup/" (Dolphin 4.11.2). Is it
> possible that using "network:" protocol for samba shares was causing the bug?

It is possible. I will resolve this ticket as remind in case someone steps up to say they can reproduce this issue in the latest version of KDE, v4.11 or higher.